<p>title: Perulangan Do-While
description:</p>
<hr />
<p>Statemen <code>do..while</code> mirip seperti statemen <code>while</code>, yakni menjalankan blok kode berulang-ulang selama kondisi yang dicek bernilai <code>true</code>.</p>
<pre><code>do {
    // kode yang akan dijalankan berulang(iterasi)
} while (cek kondisi);</code></pre>
<p>Perbedaan statemen <code>do..while</code> dibanding <code>while</code> adalah pada <code>do..while</code> blok kode dijalankan terlebih dahulu baru kemudian dilakukan pengecekan kondisi. Bila kondisi bernilai <code>true</code> maka blok kode akan dijalankan kembali.</p>
<p>Dari sini dapat kita lihat bahwa pada statemen <code>do..while</code>, blok kode akan dijalankan paling tidak satu kali meskipun kondisi bernilai false. Berbeda dengan statemen <code>while</code> yang mana pengecekan kondisi dilakukan di awal, yang bila kondisi bernilai false, maka blok kode tidak akan pernah dijalankan.</p>
<h2>Praktek</h2>
<ul>
<li>
<p>Jalankan kode pada editor dan lihat output yang tampil. Ganti kondisi while di baris ke-7 menjadi <code>$x &lt; 10</code>atau angka berapapun yang Kamu mau dan lihat keluarannya.</p>
</li>
<li>
<p>Apa yang terjadi jika Kamu menghapus kode $x++ di baris ke-6? Pesan error apa yang muncul? Mengapa demikian?</p>
<p>Karena bila kita membiarkan kondisi selalu bernilai true, maka akan terjadi <em>infinite loop</em> atau perulangan selamanya. Biasanya akan tampil pesan error bahwa eksekusi program telah melebihi waktu eksekusi yang diperbolehkan dan proses akan dihentikan. Pesan error tersebut akan tampil tergantung dari berapa lama kita mengatur waktu eksekusi maksimum di konfigurasi PHP.</p>
</li>
</ul>
<iframe width="100%" height="400" frameborder="0" src="https://development.codepolitan.com/coding/editor/perulangan-dowhile"></iframe>
<p>Bila Kamu sudah mencoba skenario program dan sudah paham dengan materi yang disampaikan, klik tombol &quot;Next Lesson&quot; di bawah editor.</p>